// MyDocument.h

#import <Cocoa/Cocoa.h>
#import "Socket.h"

@interface MyDocument : NSDocument
{
    

    IBOutlet id thePanel;
    IBOutlet NSWindow *myWindow;
    IBOutlet NSTextView *scrollback;
    IBOutlet NSTextField *inputArea;
    
    Socket *socket;
    NSString *lineFragment;
    NSMutableDictionary *config;
    
    @private
    NSString *hostname;
    unsigned short port;
    IBOutlet NSFormCell *hostCell;
    IBOutlet NSFormCell *portCell;
    
}

- (IBAction)endMyModal:(NSButton *)sender;
//- (IBAction)cancelMyModal:(id)sender;
- (IBAction)lineEntered:(id)sender;
- (IBAction)openConnection:(id)sender;
- (IBAction)runMyPanel:(id)sender;
@end
